<% 
  '==========================================================================================
  'document permissions
  Const PERMISSION_PRINT = 1
  Const PERMISSION_COPY = 2
  Const PERMISSION_MODIFY = 4
  
  'Encryption Level
  Const RC4_40BITS = 40
  Const RC4_128BITS = 128
  '==========================================================================================
%>

<html>
<head><title>Adultpdf - ps2pdf ASP Demo!</title></head>
<body>
<%
    'Converting several ps/eps files to one pdf file.
    Call doMain()
    
'--------------------------------------------------------------------------------------------    
    sub doMain()
	    sOutFname = "e:\\ps2pdf_demo.pdf"         'Output PDF file
	    
        'Create com object.
	    Set AxPS2PDF = Server.CreateObject("PS2PDFCOM.PS2PDF")
	    
	    'Open pdf file and creating a converter.
	    'After openned successfully, it creates a converter and return converter id.
	    id = AxPS2PDF.doCreatePDF(sOutFname)
	    If id <> 0 Then
	    	'setting pdf header information
	    	AxPS2PDF.doSetPDFInfo id, "title", "subject", "author", "keywords", "createor"
	    	
        	'setting pdf security
        	iPermission = PERMISSION_PRINT + PERMISSION_COPY + PERMISSION_MODIFY
        	sUserPw = "user"
        	sOwnerPw = "owner"
        	AxPS2PDF.doSetPDFSecurity id, RC4_128BITS, iPermission, sUserPw, sOwnerPw
        	
        	'add PS/EPS files
        	AxPS2PDF.doAddPS id, "e:\\test1.ps"
        	AxPS2PDF.doAddPS id, "e:\\test2.ps"
        	AxPS2PDF.doAddPS id, "e:\\test3.ps"
        	
        	'starting convet
        	iRet = AxPS2PDF.doConvert(id)
        	
        	'close pdf file
        	AxPS2PDF.doClosePDF id
        	
        	Response.write "Conversion successful!<br>"
        Else
        	Response.write "Conversion failure!<br>"
	    End If
    end sub
'--------------------------------------------------------------------------------------------
%>
</body>
</html>
